# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define svnrev 9652

Name:           trac-iniadmin-plugin
Version:        0.2
Release:        1.20101209svn%{svnrev}%{?dist}
Summary:        Expose all TracIni options using the Trac 0.11 config option API

Group:          Applications/Internet
License:        BSD
URL:            http://trac-hacks.org/wiki/IniAdminPlugin
# Source comes from Trac right now: http://trac-hacks.org/changeset/%{svnrev}/iniadminplugin/0.11?old_path=/&filename=iniadminplugin/0.11&format=zip
Source0:        iniadminplugin_0.11-r%{svnrev}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       trac >= 0.11, python-setuptools

%description
This plugin uses the new configuration option API in Trac 0.11+ to allow
modification of any field exposed through this mechanism.

This currently includes all core Trac settings, and although no plugins are
taking advantage of this yet, I'm sure it will only be a matter of time :)

Note: Many Trac options require a restart of the server process, so your 
changes may not take effect until that is done.

%prep
%setup -n iniadminplugin/0.11 -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
# skip-build doesn't work on el4
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Thu Dec 09 2010 Jesse Keating <jkeating@redhat.com> - 0.2-1.20101209svn9652
- New upstream version

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.1-8.20091026svn6877
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Oct 26 2009 Jesse Keating <jkeating@redhat.com> - 0.1-7.20091026svn3915
- Update for 0.11

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5.20071126svn2824
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4.20071126svn2824
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1-3.20071126svn2824
- Rebuild for Python 2.6

* Wed Dec 05 2007 Jesse Keating <jkeating@redhat.com> - 0.1-2.20071126svn2824
- Change the url to point to the exact svn rev we're packaging.

* Mon Nov 26 2007 Jesse Keating <jkeating@redhat.com> - 0.1-1.20071126svn2824
- Initial package for Fedora
